Commit 7f13bc17 authored by Dominik Weckbecker's avatar Dominik Weckbecker 💬
Browse files

Merge remote-tracking branch 'origin/main' into...

Merge remote-tracking branch 'origin/main' into 1141-no-objects-rendered-in-osba-disc-to-binaural_room
parents ab489222 5e161604
Loading
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -444,7 +444,7 @@ check-compatibility-with-basop-reference-branch:
    - python3 -m pytest tests/codec_be_on_mr_nonselection -v --update_ref 1 -m create_ref --html=report1.html --self-contained-html --junit-xml=report-junit1.xml || exit_code1=$?
    - python3 -m pytest tests/codec_be_on_mr_nonselection -v --update_ref 1 -m create_ref_part2 --html=report2.html --self-contained-html --junit-xml=report-junit2.xml || exit_code2=$?
    - zero_errors=$(cat report-junit1.xml report-junit2.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - if [ $zero_errors != 2 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - exit 0
  artifacts:
    name: "check-float-reference--sha-$CI_COMMIT_SHORT_SHA--results"
+3 −3
Original line number Diff line number Diff line
@@ -8,9 +8,9 @@
  <h2>Daily long testvector tests</h2>

  <ul>
    <li><a href="ivas-pytest-mld-long-dec-index.html">ivas-pytest-mld-long-dec</a></li>
    <li><a href="ivas-pytest-mld-long-dec-lev+10-index.html">ivas-pytest-mld-long-dec-lev+10</a></li>
    <li><a href="ivas-pytest-mld-long-dec-lev-10-index.html">ivas-pytest-mld-long-dec-lev-10</a></li>
    <li><a href="ivas-pytest-compare_ref-long-dec-index.html">ivas-pytest-compare_ref-long-dec</a></li>
    <li><a href="ivas-pytest-compare_ref-long-dec-lev+10-index.html">ivas-pytest-compare_ref-long-dec-lev+10</a></li>
    <li><a href="ivas-pytest-compare_ref-long-dec-lev-10-index.html">ivas-pytest-compare_ref-long-dec-lev-10</a></li>
  </ul>

</body>
+3 −3
Original line number Diff line number Diff line
@@ -43,9 +43,9 @@ JOBS_FLOAT_REPO = {
    "coverage-test-on-main-scheduled": "Coverage",
}
JOBS_BASOP_REPO = [
    "ivas-pytest-mld-long-dec",
    "ivas-pytest-mld-long-dec-lev+10",
    "ivas-pytest-mld-long-dec-lev-10",
    "ivas-pytest-compare_ref-long-dec",
    "ivas-pytest-compare_ref-long-dec-lev+10",
    "ivas-pytest-compare_ref-long-dec-lev-10",
]

JOBS_FOR_PROJECT_ID = {
+0 −10
Original line number Diff line number Diff line
@@ -1876,16 +1876,6 @@ const float ivas_param_mc_dmx_fac_CICP19_3tc[36] =
    0.0f, 0.0f, 1.0f, 1.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f /*Ct*/
};
#ifndef FIX_1157_OBSOLETE_DMX_TABLE
const float ivas_param_mc_dmx_fac_CICP19_4tc[48] =
{
    1.0f, 0.0f, INV_SQRT2, INV_SQRT2, 1.0f, 0.0f, 1.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, /*Lht*/
    0.0f, 1.0f, INV_SQRT2, INV_SQRT2, 0.0f, 1.0f, 0.0f, 1.0f, 0.0f, 0.0f, 0.0f, 0.0f, /*Rht*/
    0.0f, 0.0f, 0.0f,      0.0f,      0.0f, 0.0f, 0.0f, 0.0f, 1.0f, 0.0f, 1.0f, 0.0f, /*Lut*/
    0.0f, 0.0f, 0.0f,      0.0f,      0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 1.0f, 0.0f, 1.0f, /*Rut*/
};
#endif
/* Coefficient for Parametric MC ILD factorization */
const float ivas_param_mc_ild_fac_CICP6_2tc[6] =
{
+7 −7
Original line number Diff line number Diff line
@@ -164,15 +164,16 @@

#define FIX_POINT_HRTF_FILE_FORMAT                     /* All: fix point hrtf binary file format */
#ifdef FIX_POINT_HRTF_FILE_FORMAT
#define FIX_1123_CREND_16BIT_ROM
#define FIX_1123_TDREN_16BIT_ROM
#define FIX_1123_FASTCONV_16BIT_ROM                     /* FhG: issue 1123: update FastConv ROM tables and scripts to generate 16 bit tables instead of float */
#define FIX_1123_PARAMBIN_16BIT_ROM                     /* FhG,Nok: issue 1123: update ParamBin ROM tables and scripts to generate 16 bit tables instead of float */
/*#define FIX_1123_CREND_16BIT_ROM*/                    /* Ora: update CREND ROM tables to 16 bit */
#define FIX_1123_CREND_16BIT_FMT                        /* Ora: update CREND binary file format to 16 bit */
#define FIX_1123_CREND_FLTFX_BE                         /* Ora: make CREND FLT ROM tables BE to FX file */
/*#define FIX_1123_TDREN_16BIT_ROM*/                    /* Eri,Ora: update TD Object Renderer tables to 16 bit */
/*#define FIX_1123_FASTCONV_16BIT_ROM*/                 /* FhG: issue 1123: update FastConv ROM tables to 16 bit (must regenerate ROM file!) */
#define FIX_1123_FASTCONV_16BIT_FMT                     /* FhG: issue 1123: update FastConv binary file format and scripts to 16 bit */
/*#define FIX_1123_PARAMBIN_16BIT_ROM*/                 /* FhG,Nok: issue 1123: update ParamBin ROM tables and scripts to generate 16 bit tables instead of float */
#define FIX_RETURN                                      /* VA: fix location of function returns */
#endif
#define FIX_1129_EXT_REND_OUTPUT_HIGH                   /* Philips: issue 1129: External renderer BINAURAL_ROOM_REVERB format output level too high compared to internal rendering output */
#define FIX_1152_UNINIT_VAL_IN_ITD_VAD_COMPUTATION      /* FhG: fix uninitialized value being used in ITD VAD mid signal computation that does not affect synthesis, but crashes BASOPs */
#define FIX_1157_OBSOLETE_DMX_TABLE                     /* FhG: remove obsolte ParamMC DMX table ivas_param_mc_dmx_fac_CICP19_4tc[] */
#define FIX_1135_EXT_RENDERER_HANDLES                   /* VA: issue 1135: Memory usage reduction in external renderer: Allocate only handles that are really needed. */
#define FIX_1159_SPLIT_RENDERING_CONFIG                 /* VA: issue 1159: Execute split rendering config only for split rendering outputs. */

@@ -183,7 +184,6 @@
/* all switches in this category should start with "NONBE_" */

#define NONBE_FIX_1141_OSBA_ROOM_RENDERING                    /* FhG: Fix for issue 1141: render objects in OSBA decoder with room effect */
#define NONBE_FIX_981_PARAMBIN_DEFAULT_EARLY_PART             /* Nokia: Set default early part energy correction to unity for BINAURAL_ROOM_REVERB */
#define NONBE_FIX_1143_MASA_BRSW                              /* Nok: Fix for issue 1143: MSAN use of uninitialized value in masa decoding to binaural with dtx bitrate switching and 5 % FER */


Loading